Package org.apache.calcite.avatica

## Class AvaticaConnection.Trojan

- java.lang.Object
- - org.apache.calcite.avatica.AvaticaConnection.Trojan

Enclosing class:
  AvaticaConnection

    public static class AvaticaConnection.Trojan
    extends java.lang.Object

A way to call package-protected methods. But only a sub-class of connection can create one.

### Constructor Summary

Constructors
`private` `Trojan()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.sql.ResultSet` `execute​(AvaticaResultSet resultSet)` A means for anyone who has a trojan to call the protected method `AvaticaResultSet.execute()`.
`Meta` `getMeta​(AvaticaConnection connection)` A means for anyone who has a trojan to get the protected field `AvaticaConnection.meta`.
`java.util.List<TypedValue>` `getParameterValues​(AvaticaStatement statement)` A means for anyone who has a trojan to call the protected method `AvaticaStatement.getParameterValues()`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Trojan

    private Trojan()

### Method Detail

#### execute

    public java.sql.ResultSet execute​(AvaticaResultSet resultSet)
                               throws java.sql.SQLException

A means for anyone who has a trojan to call the protected method `AvaticaResultSet.execute()`.

Throws:
  `java.sql.SQLException` - if execute fails for some reason.

#### getParameterValues

    public java.util.List<TypedValue> getParameterValues​(AvaticaStatement statement)

A means for anyone who has a trojan to call the protected method `AvaticaStatement.getParameterValues()`.

#### getMeta

    public Meta getMeta​(AvaticaConnection connection)

A means for anyone who has a trojan to get the protected field `AvaticaConnection.meta`.